Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Static Private Member Functions | List of all members
eZSOAPResponse Class Reference
SOAP communication library

eZSOAPResponse handles SOAP response packages More...

Inheritance diagram for eZSOAPResponse:

## Public Member Functions
| __construct ( $name="", $namespace="")
| decodeStream ( $request, $stream)
| payload ()
| value ()
| setValue ( $value)
| isFault ()
| faultCode ()
| faultString ()
Public Member Functions inherited from eZSOAPEnvelope
| __construct ()

## Static Public Member Functions
static | decodeDataTypes ( $node, $type="")

## Public Attributes
| $Value = false
| Contains the response value. More...
| $Type = false
| Contains the response type. More...
| $FaultString = false
| Contains fault string. More...
| $FaultCode = false
| Contains the fault code. More...
| $IsFault = false
| Contains true if the response was an fault. More...
| $Name
| Contains the name of the response, i.e. function call name. More...
| $Namespace
| Contains the target namespace for the response. More...
| $DOMDocument = false
| Contains the DOM document for the current SOAP response. More...
Public Attributes inherited from eZSOAPEnvelope
const | ENV = "http://schemas.xmlsoap.org/soap/envelope/"
const | ENC = "http://schemas.xmlsoap.org/soap/encoding/"
const | SCHEMA_INSTANCE = "http://www.w3.org/2001/XMLSchema-instance"
const | SCHEMA_DATA = "http://www.w3.org/2001/XMLSchema"
const | ENV_PREFIX = "SOAP-ENV"
const | ENC_PREFIX = "SOAP-ENC"
const | XSI_PREFIX = "xsi"
const | XSD_PREFIX = "xsd"
const | INT = 1
const | STRING = 2
| $Header
| Contains the header object. More...
| $Body
| Contains the body object. More...

## Static Private Member Functions
| stripHTTPHeader ( $data)

## Detailed Description

eZSOAPResponse handles SOAP response packages

Definition at line 18 of file ezsoapresponse.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSOAPResponse::__construct | ( |  | $name = `""`,
|  |  | $namespace = `""`
| ) |  |

Constructs a new SOAP response

Parameters

  string | $name |
  string | $namespace |

Definition at line 26 of file ezsoapresponse.php.

## Member Function Documentation

## ◆ decodeDataTypes()

static eZSOAPResponse::decodeDataTypes | ( |  | $node,
|  |  | $type = `""`
| ) |  |
| static

Decodes a DOM node and returns the PHP datatype instance of it.

Definition at line 117 of file ezsoapresponse.php.

References eZSOAPEnvelope\ENC, and eZSOAPEnvelope\SCHEMA_INSTANCE.

Referenced by decodeStream(), and eZSOAPServer\processRequest().

## ◆ decodeStream()

eZSOAPResponse::decodeStream | ( |  | $request,
|  |  | $stream
| ) |  |

Decodes the SOAP response stream

Definition at line 37 of file ezsoapresponse.php.

References decodeDataTypes(), eZSOAPEnvelope\ENV, stripHTTPHeader(), and eZDebug\writeError().

## ◆ faultCode()

eZSOAPResponse::faultCode | ( |  | ) |

Returns the fault code

Definition at line 332 of file ezsoapresponse.php.

References $FaultCode.

## ◆ faultString()

eZSOAPResponse::faultString | ( |  | ) |

Returns the fault string

Definition at line 340 of file ezsoapresponse.php.

References $FaultString.

## ◆ isFault()

eZSOAPResponse::isFault | ( |  | ) |

Returns true if the response was a fault

Definition at line 324 of file ezsoapresponse.php.

References $IsFault.

## ◆ payload()

eZSOAPResponse::payload | ( |  | ) |

Returns the XML payload for the response.

Definition at line 229 of file ezsoapresponse.php.

References eZSOAPEnvelope\ENC, eZSOAPEnvelope\ENC_PREFIX, eZSOAPCodec\encodeValue(), eZSOAPEnvelope\ENV, eZSOAPEnvelope\ENV_PREFIX, eZSOAPEnvelope\SCHEMA_DATA, eZSOAPEnvelope\SCHEMA_INSTANCE, eZSOAPEnvelope\XSD_PREFIX, and eZSOAPEnvelope\XSI_PREFIX.

## ◆ setValue()

eZSOAPResponse::setValue | ( |  | $value | ) |

Sets the value of the response.

Definition at line 316 of file ezsoapresponse.php.

## ◆ stripHTTPHeader()

eZSOAPResponse::stripHTTPHeader | ( |  | $data | ) |
| static private

Strips the header information from the HTTP raw response.

Definition at line 285 of file ezsoapresponse.php.

References eZDebug\writeWarning().

Referenced by decodeStream().

## ◆ value()

eZSOAPResponse::value | ( |  | ) |

Returns the response value.

Definition at line 308 of file ezsoapresponse.php.

References $Value.

## Member Data Documentation

## ◆ $DOMDocument

eZSOAPResponse::$DOMDocument = false

Contains the DOM document for the current SOAP response.

Definition at line 361 of file ezsoapresponse.php.

## ◆ $FaultCode

eZSOAPResponse::$FaultCode = false

Contains the fault code.

Definition at line 352 of file ezsoapresponse.php.

Referenced by faultCode().

## ◆ $FaultString

eZSOAPResponse::$FaultString = false

Contains fault string.

Definition at line 350 of file ezsoapresponse.php.

Referenced by faultString().

## ◆ $IsFault

eZSOAPResponse::$IsFault = false

Contains true if the response was an fault.

Definition at line 354 of file ezsoapresponse.php.

Referenced by isFault().

## ◆ $Name

eZSOAPResponse::$Name

Contains the name of the response, i.e. function call name.

Definition at line 356 of file ezsoapresponse.php.

## ◆ $Namespace

eZSOAPResponse::$Namespace

Contains the target namespace for the response.

Definition at line 358 of file ezsoapresponse.php.

## ◆ $Type

eZSOAPResponse::$Type = false

Contains the response type.

Definition at line 348 of file ezsoapresponse.php.

## ◆ $Value

eZSOAPResponse::$Value = false

Contains the response value.

Definition at line 346 of file ezsoapresponse.php.

Referenced by value().

The documentation for this class was generated from the following file:

- ezsoapresponse.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.